function ColorString(str, color)
  return ("|cff%s%s|r"):format(color, str)
end

function PrefixString(prefix, str, color)
  return ("%s: %s"):format(ColorString(prefix, color), str)
end

function ObjectToString(object)
  if type(object) == 'table' then
    local s = '{'
    for k, v in pairs(object) do
      s = s .. '"' .. k .. '":' .. ObjectToString(v) .. ','
    end
    return s .. '}'
  end
  if type(object) == 'string' then
    return '"' .. object .. '"'
  end
  if type(object) == "function" then
    return "fn"
  else
    return tostring(object)
  end
end
